more new plists, kill some INSTALL.

This commit is contained in:
espie 2004-08-09 16:27:13 +00:00
parent f16eb0ecc5
commit 214b94cdfb
7 changed files with 45 additions and 239 deletions

View File

@ -1,9 +1,13 @@
@comment $OpenBSD: PLIST,v 1.2 2003/08/28 22:31:56 avsm Exp $
@comment $OpenBSD: PLIST,v 1.3 2004/08/09 16:27:13 espie Exp $
lib/
lib/php/
pear/doc/Benchmark/
pear/doc/Benchmark/doc/
pear/doc/Benchmark/doc/timer_example.php
@comment pear/lib/.filemap
@comment pear/lib/.lock
pear/lib/.registry/benchmark.reg
pear/lib/Benchmark/
pear/lib/Benchmark/Iterate.php
pear/lib/Benchmark/Profiler.php
pear/lib/Benchmark/Timer.php
@dirrm pear/lib/Benchmark
@dirrm pear/doc/Benchmark/doc
@dirrm pear/doc/Benchmark

View File

@ -1,33 +1,13 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.4 2004/04/14 10:44:13 xsa Exp $
# $OpenBSD: DEINSTALL,v 1.5 2004/08/09 16:27:13 espie Exp $
#
# conserver de-installation
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/conserver.cf
PASSWD_FILE=${SYSCONFDIR}/conserver.passwd
LOG_DIR=/var/consoles
SERVICES=/etc/services
if [ ${PKG_DELETE_EXTRA} != Yes -a -f $CONFIG_FILE ]; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| these steps as root:"
echo "|"
echo "| rm -f $CONFIG_FILE"
echo "| rm -f $PASSWD_FILE"
echo "| rm -rf $LOG_DIR"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
fi
echo "+---------------"
echo "| The conserver line should also be removed from $SERVICES"
echo "| The conserver line should be removed from $SERVICES"
echo "| to completely deinstall the $1 package."
echo "+---------------"

View File

@ -1,82 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.3 2003/07/09 07:17:15 pvalchev Exp $
#
# Pre/post-installation setup of conserver
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/conserver.cf
PASSWD_FILE=${SYSCONFDIR}/conserver.passwd
SAMPLE_DIR=$PREFIX/share/examples/conserver
SAMPLE_CONFIG_FILE=$SAMPLE_DIR/conserver.cf
SAMPLE_PASSWD_FILE=$SAMPLE_DIR/conserver.passwd
LOG_DIR=/var/consoles
SERVICES=/etc/services
# Function: tell the user what s/he needs to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration files, $CONFIG_FILE and"
echo "| $PASSWD_FILE have NOT been changed. You may want to"
echo "| compare them to the current sample files in $SAMPLE_DIR,"
echo "| and update your configuration as needed. Make sure"
echo "| a line similar to this also exists in $SERVICES:"
echo "| console 782/tcp conserver # console server"
echo "+---------------"
echo
}
# Function: install the system conserver.cf from the sample
#
do_install()
{
install -o root -g wheel -m 644 $SAMPLE_CONFIG_FILE $CONFIG_FILE
install -o root -g wheel -m 600 $SAMPLE_PASSWD_FILE $PASSWD_FILE
echo
echo "+---------------"
echo "| The $1 configuration files, $CONFIG_FILE and"
echo "| $PASSWD_FILE,"
echo "| have been installed. Please view these files and change"
echo "| the configuration to meet your needs."
echo "| Refer to $SAMPLE_DIR/README.OpenBSD"
echo "| You need to add a line similar to this to $SERVICES:"
echo "| console 782/tcp conserver # console server"
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f $CONFIG_FILE ]; then
do_notice $1
else
do_install $1
fi
mkdir -p $LOG_DIR
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,15 +1,14 @@
@comment $OpenBSD: PLIST,v 1.5 2004/04/14 10:44:13 xsa Exp $
@comment $OpenBSD: PLIST,v 1.6 2004/08/09 16:27:13 espie Exp $
bin/console
man/man1/console.1
man/man5/conserver.cf.5
man/man5/conserver.passwd.5
man/man8/conserver.8
@man man/man1/console.1
@man man/man5/conserver.cf.5
@man man/man5/conserver.passwd.5
@man man/man8/conserver.8
sbin/conserver
share/examples/conserver/
share/examples/conserver/README.OpenBSD
share/examples/conserver/conserver.cf
@sample ${SYSCONFDIR}/conserver.cf
share/examples/conserver/conserver.passwd
@dirrm share/examples/conserver
@cwd ${SYSCONFDIR}
@extra conserver.cf
@extra conserver.passwd
@sample ${SYSCONFDIR}/conserver.passwd
@extraunexec rm -rf /var/consoles

View File

@ -1,25 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.4 2004/04/14 10:44:13 xsa Exp $
#
# minicom de-installation
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${SYSCONFDIR}/minicom
if [ ${PKG_DELETE_EXTRA} != Yes -a -d $CONFIG_DIR ]; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| this step as root:"
echo "|"
echo "| rm -rf $CONFIG_DIR"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
fi
exit 0

View File

@ -1,66 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.5 2003/04/24 19:03:22 sturm Exp $
#
# Pre/post-installation setup of minicom
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${SYSCONFDIR}/minicom
SAMPLE_CONFIG_DIR=${PREFIX}/share/examples/minicom
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration files in $CONFIG_DIR,"
echo "| have NOT been changed. You may want to compare them to the"
echo "| current sample files in ${SAMPLE_CONFIG_DIR},"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
do_install()
{
install -d -o uucp -g dialer -m 750 ${CONFIG_DIR}
install -o root -g wheel -m 644 ${SAMPLE_CONFIG_DIR}/minicom.users.sample \
${CONFIG_DIR}/minicom.users
echo
echo "+---------------"
echo "| The $1 configuration files have been installed into"
echo "| ${CONFIG_DIR}. Please view these files and change"
echo "| the configuration to meet your needs."
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -d $CONFIG_DIR ]; then
do_notice $1
else
do_install $1
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,12 +1,13 @@
@comment $OpenBSD: PLIST,v 1.14 2004/04/14 10:44:13 xsa Exp $
@comment $OpenBSD: PLIST,v 1.15 2004/08/09 16:27:13 espie Exp $
bin/ascii-xfr
@mode 555
bin/minicom
@mode
bin/runscript
man/man1/ascii-xfr.1
man/man1/minicom.1
man/man1/runscript.1
@man man/man1/ascii-xfr.1
@man man/man1/minicom.1
@man man/man1/runscript.1
share/doc/minicom/
share/doc/minicom/AUTHORS
share/doc/minicom/Announce-1.78
share/doc/minicom/Announce-1.82
@ -39,56 +40,51 @@ share/doc/minicom/modemu.README
share/doc/minicom/pl-translation.txt
share/doc/minicom/portugues-brasil
share/doc/minicom/suomeksi
share/examples/minicom/
share/examples/minicom/extras/
share/examples/minicom/extras/htsalogin
share/examples/minicom/extras/linux/
share/examples/minicom/extras/linux/INSTALL
share/examples/minicom/extras/linux/README-FIRST
share/examples/minicom/extras/linux/mtelnet
share/examples/minicom/extras/saralogin
share/examples/minicom/extras/scriptdemo
share/examples/minicom/extras/tables/
share/examples/minicom/extras/tables/mc.iso
share/examples/minicom/extras/tables/mc.noconv
share/examples/minicom/extras/tables/mc.pc8
share/examples/minicom/extras/tables/mc.sf7
share/examples/minicom/extras/termcap/
share/examples/minicom/extras/termcap/README
share/examples/minicom/extras/termcap/termcap.long
share/examples/minicom/extras/termcap/termcap.short
share/examples/minicom/extras/terminfo/
share/examples/minicom/extras/terminfo/README
share/examples/minicom/extras/terminfo/minicom
share/examples/minicom/extras/unixlogin
share/examples/minicom/minicom.users.sample
@owner uucp
@group dialer
@mode 0750
@sample ${SYSCONFDIR}/minicom/
@owner
@group
@mode 0644
@sample ${SYSCONFDIR}/minicom/minicom.users
@mode
share/locale/cs_CZ/
share/locale/cs_CZ/LC_MESSAGES/
share/locale/cs_CZ/LC_MESSAGES/minicom.mo
share/locale/es/LC_MESSAGES/minicom.mo
share/locale/fi_FI/
share/locale/fi_FI/LC_MESSAGES/
share/locale/fi_FI/LC_MESSAGES/minicom.mo
share/locale/fr/LC_MESSAGES/minicom.mo
share/locale/ja/LC_MESSAGES/minicom.mo
share/locale/ja_JP.SJIS/
share/locale/ja_JP.SJIS/LC_MESSAGES/
share/locale/ja_JP.SJIS/LC_MESSAGES/minicom.mo
share/locale/pl/LC_MESSAGES/minicom.mo
share/locale/pt_BR/LC_MESSAGES/minicom.mo
share/locale/ru/LC_MESSAGES/minicom.mo
@dirrm share/locale/ru/LC_MESSAGES
@dirrm share/locale/ru
@dirrm share/locale/pt_BR/LC_MESSAGES
@dirrm share/locale/pt_BR
@dirrm share/locale/pl/LC_MESSAGES
@dirrm share/locale/pl
@dirrm share/locale/ja_JP.SJIS/LC_MESSAGES
@dirrm share/locale/ja_JP.SJIS
@dirrm share/locale/ja/LC_MESSAGES
@dirrm share/locale/ja
@dirrm share/locale/fr/LC_MESSAGES
@dirrm share/locale/fr
@dirrm share/locale/fi_FI/LC_MESSAGES
@dirrm share/locale/fi_FI
@dirrm share/locale/es/LC_MESSAGES
@dirrm share/locale/es
@dirrm share/locale/cs_CZ/LC_MESSAGES
@dirrm share/locale/cs_CZ
@dirrm share/locale
@dirrm share/examples/minicom/extras/terminfo
@dirrm share/examples/minicom/extras/termcap
@dirrm share/examples/minicom/extras/tables
@dirrm share/examples/minicom/extras/linux
@dirrm share/examples/minicom/extras
@dirrm share/examples/minicom
@dirrm share/doc/minicom
@extraunexec rm -rf ${SYSCONFDIR}/minicom
@extraunexec rm -rf ${SYSCONFDIR}/minicom/*